const createResource = require('./lib/create')
const deleteResource = require('./lib/delete')
const getAllResources = require('./lib/get_all_resources')
const getResourceLogs = require('./lib/get_logs')
const getResource = require('./lib/get_resource')
const modifyResource = require('./lib/modify')
const config = require('./lib/config')

module.exports = {
  make: config.make,
  init: config.initialize,
  retrieve: config.retrieve,
  store: config.store,
  configured: config.configured(),
  createResource: createResource,
  deleteResource: deleteResource,
  getAllResources: getAllResources,
  getResourceLogs: getResourceLogs,
  getResource: getResource,
  modifyResource: modifyResource
}
